﻿<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:extensions="urn:extensions">
  <xsl:param name="ImagePath"/>

  <xsl:template match="menu">
    <div class="menu">
      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="glossmenu">
    <div class="header prj">
      <xsl:value-of select="@display"/>
    </div>
    <form action="manualgloss:{extensions:UriEscapeDataString(@clusterid)}:{@lexemenum}">
      <div>
        <table style="width:99%">
          <tr>
            <td width="99%">
              <input type="text" id="inputbox" style="width:99%" class="mdl" name="gloss" value="{@gloss}"/>
            </td>
            <td>
              <input name="submit" type="submit" value="{extensions:Localize('Enter')}"/>
            </td>
          </tr>
        </table>
      </div>
    </form>
    <xsl:apply-templates select="gloss"/>
    <xsl:apply-templates select="guess"/>
  </xsl:template>

  <!-- Gloss menu known gloss-->
  <xsl:template match="gloss">
    <xsl:variable name="itemid">
      <xsl:value-of select="extensions:UriEscapeDataString(ancestor::glossmenu/@clusterid)"/>
      <xsl:text>:</xsl:text>
      <xsl:value-of select="ancestor::glossmenu/@lexemenum"/>
      <xsl:text>:</xsl:text>
      <xsl:value-of select="extensions:UriEscapeDataString(@senseid)"/>
    </xsl:variable>
    <div class="mdl">
      <a href="deletegloss:{$itemid}">
        <img src="{$ImagePath}/cancel.png" class="menubutton menubuttonD"/>
      </a>
      <a href="editgloss:{$itemid}">
        <img src="{$ImagePath}/edit.png" class="menubutton menubuttonE"/>
      </a>
      <a href="gloss:{$itemid}" class="gloss menuitem">
        <xsl:if test="not(text())">
          <span class="nogloss">
            <xsl:text>&#8212;</xsl:text>
          </span>
        </xsl:if>
        <xsl:apply-templates/>
      </a>
    </div>
  </xsl:template>

  <!-- Gloss menu statistical guess -->
  <xsl:template match="guess">
    <xsl:variable name="itemid">
      <xsl:value-of select="extensions:UriEscapeDataString(ancestor::glossmenu/@clusterid)"/>
      <xsl:text>:</xsl:text>
      <xsl:value-of select="ancestor::glossmenu/@lexemenum"/>
      <xsl:text>:</xsl:text>
      <xsl:value-of select="extensions:UriEscapeDataString(text())"/>
    </xsl:variable>
    <div class="mdl">
      <a href="guess:{$itemid}" class="guess menuitem">
        <xsl:if test="not(text())">
          <span class="noguess">
            <xsl:text>&#8212;</xsl:text>
          </span>
        </xsl:if>
        <xsl:apply-templates/>
      </a>
    </div>
  </xsl:template>

  <xsl:template match="wordmenu">
    <!-- Include other parses -->
    <xsl:apply-templates/>
    <xsl:if test="parse">
      <hr/>
    </xsl:if>
    <div>
      <a href="enterparse:{extensions:UriEscapeDataString(@clusterid)}" class="menuitem">
        <xsl:value-of select="extensions:Localize('Add Word Parse...')"/>
      </a>
    </div>
  </xsl:template>

  <xsl:template match="parse">
    <xsl:variable name="itemid">
      <xsl:value-of select="extensions:UriEscapeDataString(ancestor::wordmenu/@clusterid)"/>
      <xsl:text>:</xsl:text>
      <xsl:value-of select="extensions:UriEscapeDataString(@id)"/>
    </xsl:variable>
    <div class="prj">
      <xsl:if test="@confirmed='true'">
        <a href="deleteparse:{$itemid}">
          <img src="{$ImagePath}/cancel.png" class="menubutton"/>
        </a>
      </xsl:if>
      <a href="selectparse:{$itemid}" class="menuitem confirmed{@confirmed}">
        <xsl:for-each select="lexeme">
          <xsl:if test="not(text())">
            <span class="noguess">
              <xsl:text>&#8212;</xsl:text>
            </span>
          </xsl:if>
          <xsl:value-of select="."/>
          <xsl:text> </xsl:text>
        </xsl:for-each>
      </a>
    </div>
  </xsl:template>
</xsl:stylesheet>